/* This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* Copyright (C) 2004,2019,2024 Erik Auerswald */

#define SHORT_FORMAT 1      /* only devices and names */
#define LONG_FORMAT 2       /* additionally axes, buttons, version */
#define QUIET_FORMAT 4      /* only number of found joysticks */
#define NO_ERRORS 8         /* suppress error messages */
#define VERBOSE 16          /* explain what is done */
#define USE_GLOB 32         /* use globbing to find device files */

#define VERSION "0.2.4"     /* version number of lsjoystick */

#define DEFAULT_DEVICE_BASE "/dev/input/js"

/* print usage */
void usage(char *name, FILE *f);

/* get and print information about device */
void query_device(int fd, char *device, int format);
